<ion-content>
  <app-header></app-header>
  <ion-slides pager="true" class="slide">
    <ion-slide class="slide" padding>
      <ion-card>
        <ion-card-header>
          <ion-card-title>Paso 1</ion-card-title>
        </ion-card-header>
        <ion-card-content>
          Primero deberemos poner algunos datos generales de tu idea, una imagen y un titulo son lo mas conveniente.
          <div>
            <img id="blah"
              [src]="imageSrc || 'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQHI2LXlEqLGvQiJE0JFeXF89MdPlDR9ke1qTRqiOOpsM2s6vQO&s'"
              alt="your image" />
            <div style="position: absolute; margin-top: -28px; width: 100%;">
              <input type="file" id="archivo"  (change)="readURL($event);" value="Seleccione archivo...">
              <label for="archivo">Seleccione una imagen</label>
            </div>
          </div>
          <ion-item>
            <ion-label position="floating">Nombre idea</ion-label>
            <ion-input [(ngModel)]="idea.nombre"></ion-input>
          </ion-item>
        </ion-card-content>
      </ion-card>
    </ion-slide>

    <ion-slide class="slide" padding>
      <ion-card>
        <ion-card-header>
          <ion-card-title>Paso 2</ion-card-title>
        </ion-card-header>
        <ion-card-content>
          Necesitamos saber a que categoria pertenece tu idea y cual será el monto objetivo a recaudar.

          <ion-item>
            <ion-label>Categoria</ion-label>
            <ion-select id="meh" placeholder="Selecciona una" [(ngModel)]="idea.categoria">
              <ion-select-option *ngFor="let categoria of categorias" value="{{categoria.id}}">{{categoria.nombre}}
              </ion-select-option>
            </ion-select>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Descripcion</ion-label>
            <ion-textarea [(ngModel)]="idea.descripcion" rows="5"></ion-textarea>
          </ion-item>

          <ion-item>
            <ion-label position="floating">Monto objetivo</ion-label>
            <ion-input [(ngModel)]="idea.monto_objetivo" type="number"></ion-input>
          </ion-item>

        </ion-card-content>
      </ion-card>
    </ion-slide>

    <ion-slide class="slide" padding>
      <ion-card>
        <ion-card-header>
          <ion-card-title>Paso 3</ion-card-title>
        </ion-card-header>
        <ion-card-content>
          Finalmente necesitamos saber cuantos intereses pagarás y algunas fechas.

          <ion-item>
            <ion-label position="floating">Intereses a pagar (%)</ion-label>
            <ion-input [(ngModel)]="idea.intereses" type="number"></ion-input>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Fecha limite</ion-label>
            <ion-datetime [(ngModel)]="idea.fecha_limite" mode="ios"></ion-datetime>
          </ion-item>
          <ion-item>
            <ion-label position="floating">Fecha reembolso</ion-label>
            <ion-datetime [(ngModel)]="idea.fecha_reembolso"></ion-datetime>
          </ion-item>
        </ion-card-content>
        <ion-button mode="ios" expand="full" color="success" fill="clear" (click)="guardarIdea()">Publicar idea</ion-button>
      </ion-card>
    </ion-slide>
  </ion-slides>
  <!-- <ion-card>
    <div>
      <img id="blah" [src]="imageSrc || 'https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQHI2LXlEqLGvQiJE0JFeXF89MdPlDR9ke1qTRqiOOpsM2s6vQO&s'" alt="your image" />
      <div style="position: absolute; margin-top: -33px">
        <input type="file" id="archivo" (change)="readURL($event);" value="Seleccione archivo...">
        <label for="archivo">Seleccione una imagen</label>
      </div>
    </div>
    <ion-card-header>
      <ion-card-title><h1>Crear idea</h1></ion-card-title>
    </ion-card-header>

    <ion-card-content>
      <ion-item>
        <ion-label position="floating">Nombre idea</ion-label>
        <ion-input [(ngModel)]="idea.nombre"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Descripcion</ion-label>
        <ion-textarea [(ngModel)]="idea.descripcion"></ion-textarea>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Monto objetivo</ion-label>
        <ion-input [(ngModel)]="idea.objetivo" type="number"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Intereses a pagar (%)</ion-label>
        <ion-input [(ngModel)]="idea.intereses" type="number"></ion-input>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Fecha limite</ion-label>
        <ion-datetime [(ngModel)]="idea.fecha_limite" type="number"></ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label position="floating">Fecha reembolso</ion-label>
        <ion-datetime [(ngModel)]="idea.fecha_reembolso" type="number"></ion-datetime>
      </ion-item>
      <ion-item>
        <ion-label>Categoria</ion-label>
        <ion-select placeholder="Selecciona una" [(ngModel)]="idea.categoria">
          <ion-select-option *ngFor="let categoria of categorias" value="categoria.id">{{categoria.nombre}}</ion-select-option>
        </ion-select>
      </ion-item>
    </ion-card-content>
  </ion-card>
  <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button color="secondary">
        <ion-icon name="send"></ion-icon>
      </ion-fab-button>
    </ion-fab> -->
</ion-content>